<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array();
abstract class ValueNode extends Node
{
    protected $value;
    public function Children() : array
    {
        return [];
    }
    public function Name() : string
    {
        return (string) $this->value;
    }
    public function Value()
    {
        return $this->value;
    }
}